AntiFeatures:
  - NonFreeNet
Categories:
  - Connectivity
  - Security
License: GPL-3.0-only
AuthorName: Alberto Pedron
AuthorEmail: albertop2197+fdroid@gmail.com
SourceCode: https://github.com/Alberto97/OUILookup
IssueTracker: https://github.com/Alberto97/OUILookup/issues
Changelog: https://github.com/Alberto97/OUILookup/releases

AutoName: Oui Lookup

RepoType: git
Repo: https://github.com/Alberto97/OUILookup.git

Builds:
  - versionName: 1.0.1
    versionCode: 2
    commit: v1.0.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.0.2
    versionCode: 3
    commit: a880bdb4a814f0959c3d078ece9ef70faf05bbad
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 4
    commit: 77df50b7746ae5b8f6a7090c7dc8fa3307414b7f
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 5
    commit: 73bd2cdc09a800502ee2f3c0b487571d4ac58949
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.3.0
    versionCode: 9
    commit: v1.3.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - foss

  - versionName: 1.3.1
    versionCode: 10
    commit: cf25646c2b42b554fcd8baf9982954df9de53627
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - foss

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.3.1
CurrentVersionCode: 10
